> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# consentsource

> MDO list provider for Consent source

## "consentsource" MDO List

MDO list provider for Consent source

Implemented by the <see cref="T:SuperOffice.CRM.Lists.ConsentSourceListProvider">ConsentSourceListProvider</see> class.
The name of the MDO list is 'consentsource'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/consentsource
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("consentsource", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name              | StyleHint | ExtraInfo |
| -- | ----------------- | --------- | --------- |
| 1  | Created by user   |           | 0         |
| 2  | E-mail            |           | 0         |
| 3  | Incoming request  |           | 0         |
| 4  | Chat              |           | 0         |
| 5  | Web form          |           | 0         |
| 6  | Customer portal   |           | 0         |
| 7  | Import            |           | 0         |
| 8  | Other integration |           | 0         |
| 9  | Unknown           |           | 0         |

## Related MDO Lists

* "consentsourceheadings"
* "consentsourceheadingswithallitem"
* "consentsourceheadingswithallitemwithnoselection"
* "consentsourceheadingswithnoselection"
* "consentsourcewithallitem"
* "consentsourcewithallitemwithnoselection"
* "consentsourcewithnoselection"


## Related topics

- [ConsentSource table](/en/database/tables/consentsource.md)
- [SuperOffice.WebApi.Data.ConsentSource](/en/api/reference/webapi/SuperOffice.WebApi.Data.ConsentSource.md)
- [SuperOffice.WebApi.Data.ConsentInfo](/en/api/reference/webapi/SuperOffice.WebApi.Data.ConsentInfo.md)
- [SuperOffice.WebApi.Data.UserPreferenceStrings.Gdpr](/en/api/reference/webapi/SuperOffice.WebApi.Data.UserPreferenceStrings.Gdpr.md)
- [SuperOffice.WebApi.Data.ConsentPerson](/en/api/reference/webapi/SuperOffice.WebApi.Data.ConsentPerson.md)
- [Save Consent Source](/en/api/reference/restful/agent/list_agent/save-consent-source.md)
